// file: pfil_get_0.cc
//

// system include files
//
#include <stdlib.h>
#include <string.h>

// isip include files
//
#include "param_file.h"

#include "param_file_constants.h"
#include <integral_constants.h>

// method: get_cc
//
// arguments:
//  char_1* value: (output) string of the value of the parameter
//  char_1* param: (input) parameter to return
//
// return: a logical_1 indicating status
//
// this method gets the value of parameter
//
logical_1 Param_file::get_cc(char_1* value_a, char_1* param_a) {
  
  // check arguments
  //
  if (value_a == (char_1*)NULL) {
    error_handler_cc((char_1*)"get_cc",
		     (char_1*)"no memory allocated for output value");
  }
  
  // loop until param_a = params_d[i], return values_d[i];
  //
  for (int_4 i=0; i < num_params_d; i++) {
    if (strcmp((char*)param_a, (char*)params_d[i]) == 0) {
      strcpy((char*)value_a, (char*)values_d[i]);
      return ISIP_TRUE;
    }
  }
  
  // exit ungracefully if parameter not found
  //
  return ISIP_FALSE;  
}
